Sign in to follow this  
sander242

Code::Blocks

Recommended Posts

This is the stupidest question i have ever asked, but i need someone to teach me how to get a compiler for my code::blocks. I have tried every compiler on the compilers list and they all throw up an error and write: "program name" uses an invalid compiler. skipping That i think means i don't have any of the compilers. So maybe you can help me? thx in advance :)

Share this post


Link to post
Share on other sites
Sorry to see you're still having problems. Assuming you're on windows, you can easily install the g++ compiler along with Code::Blocks. If you download and install codeblocks-8.02mingw-setup.exe from the Code::Blocks website, it should include the g++ compiler. I remember when I did this everything just "worked."

Share this post


Link to post
Share on other sites
Actually, if you want to use Code::Blocks, which is perfectly fine, it is better to get mingw/g++ here. For some odd reason mingw ships with a pretty out of date version of g++. This distro provides a much newer release.

Share this post


Link to post
Share on other sites
thanks a million gazillion times guys. The problem was that i had downloaded the code::blocks version without the mingw compiler. Now i can finlly get back to programming. :D

EDIT: Again too soon to cheer. Now i installed the mingw version and i have the compiler, but which name on the list is the mingw compiler

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this